Notes:
* The wiki glosses over a little and gives u an incorrect dir
* the spec file expects 1.1.5 tar.gz

# cd /usr/src
# tar zxvf /root/Desktop/freeradius-1.1.6.tar.gz
# cp /root/Desktop/freeradius-1.1.6.tar.gz
/usr/src/redhat/SOURCES/freeradius-1.1.5.tar.gz
# cp freeradius-1.1.6/suse/freeradius.spec  /usr/src/redhat/SPECS/
# rpmbuild -ba /usr/src/redhat/SPECS/freeradius.spec

^ that gets me to this point here:

[EMAIL PROTECTED] src]# rpmbuild -ba /usr/src/redhat/SPECS/freeradius.spec
sh: apxs2-prefork: command not found
sh: apxs2-prefork: command not found
sh: apxs2-prefork: command not found
error: Failed build dependencies:
        apache2-devel is needed by freeradius-1.1.5-0.generic.i386
        db-devel is needed by freeradius-1.1.5-0.generic.i386
        gettext-devel is needed by freeradius-1.1.5-0.generic.i386
        mysql-devel is needed by freeradius-1.1.5-0.generic.i386
        net-snmp-devel is needed by freeradius-1.1.5-0.generic.i386
        openldap2-devel is needed by freeradius-1.1.5-0.generic.i386
        postgresql-devel is needed by freeradius-1.1.5-0.generic.i386
        unixODBC-devel is needed by freeradius-1.1.5-0.generic.i386

now checking yum and smart --gui I do not see apache2-devel for starters.

So for the mean time I am back to compiling as rpm's are causing the
issues they are famous for. If some1 has some tips on resolving
dependancies I will be intrested. But I do not see what it needs
apache2 headers anyway.
- 
List info/subscribe/unsubscribe? See http://www.freeradius.org/list/users.html

Reply via email to